docusign.envelope-documents.get-documents
Retrieves a list of documents associated with the specified envelope. ### Related topics - How to list envelope documents
Gets a list of documents in an envelope.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
documents_by_userid | string | No | — | When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders. |
include_agreement_type | string | No | — | — |
include_docgen_formfields | string | No | — | Reserved for Docusign. |
include_is_edited | string | No | — | — |
include_metadata | string | No | — | When true, the response includes metadata that indicates which properties the sender can edit. |
include_tabs | string | No | — | Reserved for Docusign. |
recipient_id | string | No | — | Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this to work. |
shared_user_id | string | No | — | The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the Docusign Admin console). |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
documents_by_userid | string | No | — | When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders. |
include_agreement_type | string | No | — | — |
include_docgen_formfields | string | No | — | Reserved for Docusign. |
include_is_edited | string | No | — | — |
include_metadata | string | No | — | When true, the response includes metadata that indicates which properties the sender can edit. |
include_tabs | string | No | — | Reserved for Docusign. |
recipient_id | string | No | — | Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this to work. |
shared_user_id | string | No | — | The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the Docusign Admin console). |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.envelope-documents.get-documents",
"initial_data": {
"base_url": "value",
"accountid": "value",
"envelopeid": "value"
}
}